# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/src/opkg

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/local/src/opkg/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /usr/local/src/opkg/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /usr/local/src/opkg/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /usr/local/src/opkg/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\" \"ptest\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /usr/local/src/opkg/build && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/opkg/build/CMakeFiles /usr/local/src/opkg/build/libopkg//CMakeFiles/progress.marks
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libopkg/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/opkg/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libopkg/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libopkg/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libopkg/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/local/src/opkg/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
libopkg/CMakeFiles/libopkg.dir/rule:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 libopkg/CMakeFiles/libopkg.dir/rule
.PHONY : libopkg/CMakeFiles/libopkg.dir/rule

# Convenience name for target.
libopkg: libopkg/CMakeFiles/libopkg.dir/rule
.PHONY : libopkg

# fast build rule for target.
libopkg/fast:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/build
.PHONY : libopkg/fast

cksum_list.o: cksum_list.c.o
.PHONY : cksum_list.o

# target to build an object file
cksum_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/cksum_list.c.o
.PHONY : cksum_list.c.o

cksum_list.i: cksum_list.c.i
.PHONY : cksum_list.i

# target to preprocess a source file
cksum_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/cksum_list.c.i
.PHONY : cksum_list.c.i

cksum_list.s: cksum_list.c.s
.PHONY : cksum_list.s

# target to generate assembly for a file
cksum_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/cksum_list.c.s
.PHONY : cksum_list.c.s

conffile.o: conffile.c.o
.PHONY : conffile.o

# target to build an object file
conffile.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile.c.o
.PHONY : conffile.c.o

conffile.i: conffile.c.i
.PHONY : conffile.i

# target to preprocess a source file
conffile.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile.c.i
.PHONY : conffile.c.i

conffile.s: conffile.c.s
.PHONY : conffile.s

# target to generate assembly for a file
conffile.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile.c.s
.PHONY : conffile.c.s

conffile_list.o: conffile_list.c.o
.PHONY : conffile_list.o

# target to build an object file
conffile_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile_list.c.o
.PHONY : conffile_list.c.o

conffile_list.i: conffile_list.c.i
.PHONY : conffile_list.i

# target to preprocess a source file
conffile_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile_list.c.i
.PHONY : conffile_list.c.i

conffile_list.s: conffile_list.c.s
.PHONY : conffile_list.s

# target to generate assembly for a file
conffile_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/conffile_list.c.s
.PHONY : conffile_list.c.s

file_list.o: file_list.c.o
.PHONY : file_list.o

# target to build an object file
file_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_list.c.o
.PHONY : file_list.c.o

file_list.i: file_list.c.i
.PHONY : file_list.i

# target to preprocess a source file
file_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_list.c.i
.PHONY : file_list.c.i

file_list.s: file_list.c.s
.PHONY : file_list.s

# target to generate assembly for a file
file_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_list.c.s
.PHONY : file_list.c.s

file_util.o: file_util.c.o
.PHONY : file_util.o

# target to build an object file
file_util.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_util.c.o
.PHONY : file_util.c.o

file_util.i: file_util.c.i
.PHONY : file_util.i

# target to preprocess a source file
file_util.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_util.c.i
.PHONY : file_util.c.i

file_util.s: file_util.c.s
.PHONY : file_util.s

# target to generate assembly for a file
file_util.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/file_util.c.s
.PHONY : file_util.c.s

hash_table.o: hash_table.c.o
.PHONY : hash_table.o

# target to build an object file
hash_table.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/hash_table.c.o
.PHONY : hash_table.c.o

hash_table.i: hash_table.c.i
.PHONY : hash_table.i

# target to preprocess a source file
hash_table.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/hash_table.c.i
.PHONY : hash_table.c.i

hash_table.s: hash_table.c.s
.PHONY : hash_table.s

# target to generate assembly for a file
hash_table.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/hash_table.c.s
.PHONY : hash_table.c.s

md5.o: md5.c.o
.PHONY : md5.o

# target to build an object file
md5.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/md5.c.o
.PHONY : md5.c.o

md5.i: md5.c.i
.PHONY : md5.i

# target to preprocess a source file
md5.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/md5.c.i
.PHONY : md5.c.i

md5.s: md5.c.s
.PHONY : md5.s

# target to generate assembly for a file
md5.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/md5.c.s
.PHONY : md5.c.s

nv_pair.o: nv_pair.c.o
.PHONY : nv_pair.o

# target to build an object file
nv_pair.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair.c.o
.PHONY : nv_pair.c.o

nv_pair.i: nv_pair.c.i
.PHONY : nv_pair.i

# target to preprocess a source file
nv_pair.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair.c.i
.PHONY : nv_pair.c.i

nv_pair.s: nv_pair.c.s
.PHONY : nv_pair.s

# target to generate assembly for a file
nv_pair.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair.c.s
.PHONY : nv_pair.c.s

nv_pair_list.o: nv_pair_list.c.o
.PHONY : nv_pair_list.o

# target to build an object file
nv_pair_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair_list.c.o
.PHONY : nv_pair_list.c.o

nv_pair_list.i: nv_pair_list.c.i
.PHONY : nv_pair_list.i

# target to preprocess a source file
nv_pair_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair_list.c.i
.PHONY : nv_pair_list.c.i

nv_pair_list.s: nv_pair_list.c.s
.PHONY : nv_pair_list.s

# target to generate assembly for a file
nv_pair_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/nv_pair_list.c.s
.PHONY : nv_pair_list.c.s

opkg_archive.o: opkg_archive.c.o
.PHONY : opkg_archive.o

# target to build an object file
opkg_archive.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_archive.c.o
.PHONY : opkg_archive.c.o

opkg_archive.i: opkg_archive.c.i
.PHONY : opkg_archive.i

# target to preprocess a source file
opkg_archive.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_archive.c.i
.PHONY : opkg_archive.c.i

opkg_archive.s: opkg_archive.c.s
.PHONY : opkg_archive.s

# target to generate assembly for a file
opkg_archive.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_archive.c.s
.PHONY : opkg_archive.c.s

opkg_cmd.o: opkg_cmd.c.o
.PHONY : opkg_cmd.o

# target to build an object file
opkg_cmd.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_cmd.c.o
.PHONY : opkg_cmd.c.o

opkg_cmd.i: opkg_cmd.c.i
.PHONY : opkg_cmd.i

# target to preprocess a source file
opkg_cmd.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_cmd.c.i
.PHONY : opkg_cmd.c.i

opkg_cmd.s: opkg_cmd.c.s
.PHONY : opkg_cmd.s

# target to generate assembly for a file
opkg_cmd.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_cmd.c.s
.PHONY : opkg_cmd.c.s

opkg_conf.o: opkg_conf.c.o
.PHONY : opkg_conf.o

# target to build an object file
opkg_conf.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_conf.c.o
.PHONY : opkg_conf.c.o

opkg_conf.i: opkg_conf.c.i
.PHONY : opkg_conf.i

# target to preprocess a source file
opkg_conf.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_conf.c.i
.PHONY : opkg_conf.c.i

opkg_conf.s: opkg_conf.c.s
.PHONY : opkg_conf.s

# target to generate assembly for a file
opkg_conf.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_conf.c.s
.PHONY : opkg_conf.c.s

opkg_configure.o: opkg_configure.c.o
.PHONY : opkg_configure.o

# target to build an object file
opkg_configure.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_configure.c.o
.PHONY : opkg_configure.c.o

opkg_configure.i: opkg_configure.c.i
.PHONY : opkg_configure.i

# target to preprocess a source file
opkg_configure.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_configure.c.i
.PHONY : opkg_configure.c.i

opkg_configure.s: opkg_configure.c.s
.PHONY : opkg_configure.s

# target to generate assembly for a file
opkg_configure.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_configure.c.s
.PHONY : opkg_configure.c.s

opkg_download.o: opkg_download.c.o
.PHONY : opkg_download.o

# target to build an object file
opkg_download.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download.c.o
.PHONY : opkg_download.c.o

opkg_download.i: opkg_download.c.i
.PHONY : opkg_download.i

# target to preprocess a source file
opkg_download.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download.c.i
.PHONY : opkg_download.c.i

opkg_download.s: opkg_download.c.s
.PHONY : opkg_download.s

# target to generate assembly for a file
opkg_download.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download.c.s
.PHONY : opkg_download.c.s

opkg_download_curl.o: opkg_download_curl.c.o
.PHONY : opkg_download_curl.o

# target to build an object file
opkg_download_curl.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download_curl.c.o
.PHONY : opkg_download_curl.c.o

opkg_download_curl.i: opkg_download_curl.c.i
.PHONY : opkg_download_curl.i

# target to preprocess a source file
opkg_download_curl.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download_curl.c.i
.PHONY : opkg_download_curl.c.i

opkg_download_curl.s: opkg_download_curl.c.s
.PHONY : opkg_download_curl.s

# target to generate assembly for a file
opkg_download_curl.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_download_curl.c.s
.PHONY : opkg_download_curl.c.s

opkg_gpg.o: opkg_gpg.c.o
.PHONY : opkg_gpg.o

# target to build an object file
opkg_gpg.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_gpg.c.o
.PHONY : opkg_gpg.c.o

opkg_gpg.i: opkg_gpg.c.i
.PHONY : opkg_gpg.i

# target to preprocess a source file
opkg_gpg.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_gpg.c.i
.PHONY : opkg_gpg.c.i

opkg_gpg.s: opkg_gpg.c.s
.PHONY : opkg_gpg.s

# target to generate assembly for a file
opkg_gpg.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_gpg.c.s
.PHONY : opkg_gpg.c.s

opkg_install.o: opkg_install.c.o
.PHONY : opkg_install.o

# target to build an object file
opkg_install.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_install.c.o
.PHONY : opkg_install.c.o

opkg_install.i: opkg_install.c.i
.PHONY : opkg_install.i

# target to preprocess a source file
opkg_install.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_install.c.i
.PHONY : opkg_install.c.i

opkg_install.s: opkg_install.c.s
.PHONY : opkg_install.s

# target to generate assembly for a file
opkg_install.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_install.c.s
.PHONY : opkg_install.c.s

opkg_message.o: opkg_message.c.o
.PHONY : opkg_message.o

# target to build an object file
opkg_message.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_message.c.o
.PHONY : opkg_message.c.o

opkg_message.i: opkg_message.c.i
.PHONY : opkg_message.i

# target to preprocess a source file
opkg_message.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_message.c.i
.PHONY : opkg_message.c.i

opkg_message.s: opkg_message.c.s
.PHONY : opkg_message.s

# target to generate assembly for a file
opkg_message.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_message.c.s
.PHONY : opkg_message.c.s

opkg_remove.o: opkg_remove.c.o
.PHONY : opkg_remove.o

# target to build an object file
opkg_remove.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_remove.c.o
.PHONY : opkg_remove.c.o

opkg_remove.i: opkg_remove.c.i
.PHONY : opkg_remove.i

# target to preprocess a source file
opkg_remove.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_remove.c.i
.PHONY : opkg_remove.c.i

opkg_remove.s: opkg_remove.c.s
.PHONY : opkg_remove.s

# target to generate assembly for a file
opkg_remove.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_remove.c.s
.PHONY : opkg_remove.c.s

opkg_utils.o: opkg_utils.c.o
.PHONY : opkg_utils.o

# target to build an object file
opkg_utils.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_utils.c.o
.PHONY : opkg_utils.c.o

opkg_utils.i: opkg_utils.c.i
.PHONY : opkg_utils.i

# target to preprocess a source file
opkg_utils.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_utils.c.i
.PHONY : opkg_utils.c.i

opkg_utils.s: opkg_utils.c.s
.PHONY : opkg_utils.s

# target to generate assembly for a file
opkg_utils.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_utils.c.s
.PHONY : opkg_utils.c.s

opkg_verify.o: opkg_verify.c.o
.PHONY : opkg_verify.o

# target to build an object file
opkg_verify.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_verify.c.o
.PHONY : opkg_verify.c.o

opkg_verify.i: opkg_verify.c.i
.PHONY : opkg_verify.i

# target to preprocess a source file
opkg_verify.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_verify.c.i
.PHONY : opkg_verify.c.i

opkg_verify.s: opkg_verify.c.s
.PHONY : opkg_verify.s

# target to generate assembly for a file
opkg_verify.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/opkg_verify.c.s
.PHONY : opkg_verify.c.s

parse_util.o: parse_util.c.o
.PHONY : parse_util.o

# target to build an object file
parse_util.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/parse_util.c.o
.PHONY : parse_util.c.o

parse_util.i: parse_util.c.i
.PHONY : parse_util.i

# target to preprocess a source file
parse_util.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/parse_util.c.i
.PHONY : parse_util.c.i

parse_util.s: parse_util.c.s
.PHONY : parse_util.s

# target to generate assembly for a file
parse_util.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/parse_util.c.s
.PHONY : parse_util.c.s

pkg.o: pkg.c.o
.PHONY : pkg.o

# target to build an object file
pkg.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg.c.o
.PHONY : pkg.c.o

pkg.i: pkg.c.i
.PHONY : pkg.i

# target to preprocess a source file
pkg.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg.c.i
.PHONY : pkg.c.i

pkg.s: pkg.c.s
.PHONY : pkg.s

# target to generate assembly for a file
pkg.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg.c.s
.PHONY : pkg.c.s

pkg_depends.o: pkg_depends.c.o
.PHONY : pkg_depends.o

# target to build an object file
pkg_depends.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_depends.c.o
.PHONY : pkg_depends.c.o

pkg_depends.i: pkg_depends.c.i
.PHONY : pkg_depends.i

# target to preprocess a source file
pkg_depends.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_depends.c.i
.PHONY : pkg_depends.c.i

pkg_depends.s: pkg_depends.c.s
.PHONY : pkg_depends.s

# target to generate assembly for a file
pkg_depends.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_depends.c.s
.PHONY : pkg_depends.c.s

pkg_dest.o: pkg_dest.c.o
.PHONY : pkg_dest.o

# target to build an object file
pkg_dest.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest.c.o
.PHONY : pkg_dest.c.o

pkg_dest.i: pkg_dest.c.i
.PHONY : pkg_dest.i

# target to preprocess a source file
pkg_dest.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest.c.i
.PHONY : pkg_dest.c.i

pkg_dest.s: pkg_dest.c.s
.PHONY : pkg_dest.s

# target to generate assembly for a file
pkg_dest.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest.c.s
.PHONY : pkg_dest.c.s

pkg_dest_list.o: pkg_dest_list.c.o
.PHONY : pkg_dest_list.o

# target to build an object file
pkg_dest_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest_list.c.o
.PHONY : pkg_dest_list.c.o

pkg_dest_list.i: pkg_dest_list.c.i
.PHONY : pkg_dest_list.i

# target to preprocess a source file
pkg_dest_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest_list.c.i
.PHONY : pkg_dest_list.c.i

pkg_dest_list.s: pkg_dest_list.c.s
.PHONY : pkg_dest_list.s

# target to generate assembly for a file
pkg_dest_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_dest_list.c.s
.PHONY : pkg_dest_list.c.s

pkg_extract.o: pkg_extract.c.o
.PHONY : pkg_extract.o

# target to build an object file
pkg_extract.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_extract.c.o
.PHONY : pkg_extract.c.o

pkg_extract.i: pkg_extract.c.i
.PHONY : pkg_extract.i

# target to preprocess a source file
pkg_extract.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_extract.c.i
.PHONY : pkg_extract.c.i

pkg_extract.s: pkg_extract.c.s
.PHONY : pkg_extract.s

# target to generate assembly for a file
pkg_extract.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_extract.c.s
.PHONY : pkg_extract.c.s

pkg_hash.o: pkg_hash.c.o
.PHONY : pkg_hash.o

# target to build an object file
pkg_hash.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_hash.c.o
.PHONY : pkg_hash.c.o

pkg_hash.i: pkg_hash.c.i
.PHONY : pkg_hash.i

# target to preprocess a source file
pkg_hash.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_hash.c.i
.PHONY : pkg_hash.c.i

pkg_hash.s: pkg_hash.c.s
.PHONY : pkg_hash.s

# target to generate assembly for a file
pkg_hash.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_hash.c.s
.PHONY : pkg_hash.c.s

pkg_parse.o: pkg_parse.c.o
.PHONY : pkg_parse.o

# target to build an object file
pkg_parse.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_parse.c.o
.PHONY : pkg_parse.c.o

pkg_parse.i: pkg_parse.c.i
.PHONY : pkg_parse.i

# target to preprocess a source file
pkg_parse.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_parse.c.i
.PHONY : pkg_parse.c.i

pkg_parse.s: pkg_parse.c.s
.PHONY : pkg_parse.s

# target to generate assembly for a file
pkg_parse.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_parse.c.s
.PHONY : pkg_parse.c.s

pkg_src.o: pkg_src.c.o
.PHONY : pkg_src.o

# target to build an object file
pkg_src.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src.c.o
.PHONY : pkg_src.c.o

pkg_src.i: pkg_src.c.i
.PHONY : pkg_src.i

# target to preprocess a source file
pkg_src.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src.c.i
.PHONY : pkg_src.c.i

pkg_src.s: pkg_src.c.s
.PHONY : pkg_src.s

# target to generate assembly for a file
pkg_src.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src.c.s
.PHONY : pkg_src.c.s

pkg_src_list.o: pkg_src_list.c.o
.PHONY : pkg_src_list.o

# target to build an object file
pkg_src_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src_list.c.o
.PHONY : pkg_src_list.c.o

pkg_src_list.i: pkg_src_list.c.i
.PHONY : pkg_src_list.i

# target to preprocess a source file
pkg_src_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src_list.c.i
.PHONY : pkg_src_list.c.i

pkg_src_list.s: pkg_src_list.c.s
.PHONY : pkg_src_list.s

# target to generate assembly for a file
pkg_src_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_src_list.c.s
.PHONY : pkg_src_list.c.s

pkg_vec.o: pkg_vec.c.o
.PHONY : pkg_vec.o

# target to build an object file
pkg_vec.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_vec.c.o
.PHONY : pkg_vec.c.o

pkg_vec.i: pkg_vec.c.i
.PHONY : pkg_vec.i

# target to preprocess a source file
pkg_vec.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_vec.c.i
.PHONY : pkg_vec.c.i

pkg_vec.s: pkg_vec.c.s
.PHONY : pkg_vec.s

# target to generate assembly for a file
pkg_vec.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/pkg_vec.c.s
.PHONY : pkg_vec.c.s

release.o: release.c.o
.PHONY : release.o

# target to build an object file
release.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release.c.o
.PHONY : release.c.o

release.i: release.c.i
.PHONY : release.i

# target to preprocess a source file
release.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release.c.i
.PHONY : release.c.i

release.s: release.c.s
.PHONY : release.s

# target to generate assembly for a file
release.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release.c.s
.PHONY : release.c.s

release_parse.o: release_parse.c.o
.PHONY : release_parse.o

# target to build an object file
release_parse.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release_parse.c.o
.PHONY : release_parse.c.o

release_parse.i: release_parse.c.i
.PHONY : release_parse.i

# target to preprocess a source file
release_parse.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release_parse.c.i
.PHONY : release_parse.c.i

release_parse.s: release_parse.c.s
.PHONY : release_parse.s

# target to generate assembly for a file
release_parse.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/release_parse.c.s
.PHONY : release_parse.c.s

solvers/libsolv/opkg_solver_libsolv.o: solvers/libsolv/opkg_solver_libsolv.c.o
.PHONY : solvers/libsolv/opkg_solver_libsolv.o

# target to build an object file
solvers/libsolv/opkg_solver_libsolv.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/solvers/libsolv/opkg_solver_libsolv.c.o
.PHONY : solvers/libsolv/opkg_solver_libsolv.c.o

solvers/libsolv/opkg_solver_libsolv.i: solvers/libsolv/opkg_solver_libsolv.c.i
.PHONY : solvers/libsolv/opkg_solver_libsolv.i

# target to preprocess a source file
solvers/libsolv/opkg_solver_libsolv.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/solvers/libsolv/opkg_solver_libsolv.c.i
.PHONY : solvers/libsolv/opkg_solver_libsolv.c.i

solvers/libsolv/opkg_solver_libsolv.s: solvers/libsolv/opkg_solver_libsolv.c.s
.PHONY : solvers/libsolv/opkg_solver_libsolv.s

# target to generate assembly for a file
solvers/libsolv/opkg_solver_libsolv.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/solvers/libsolv/opkg_solver_libsolv.c.s
.PHONY : solvers/libsolv/opkg_solver_libsolv.c.s

sprintf_alloc.o: sprintf_alloc.c.o
.PHONY : sprintf_alloc.o

# target to build an object file
sprintf_alloc.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/sprintf_alloc.c.o
.PHONY : sprintf_alloc.c.o

sprintf_alloc.i: sprintf_alloc.c.i
.PHONY : sprintf_alloc.i

# target to preprocess a source file
sprintf_alloc.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/sprintf_alloc.c.i
.PHONY : sprintf_alloc.c.i

sprintf_alloc.s: sprintf_alloc.c.s
.PHONY : sprintf_alloc.s

# target to generate assembly for a file
sprintf_alloc.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/sprintf_alloc.c.s
.PHONY : sprintf_alloc.c.s

str_list.o: str_list.c.o
.PHONY : str_list.o

# target to build an object file
str_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/str_list.c.o
.PHONY : str_list.c.o

str_list.i: str_list.c.i
.PHONY : str_list.i

# target to preprocess a source file
str_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/str_list.c.i
.PHONY : str_list.c.i

str_list.s: str_list.c.s
.PHONY : str_list.s

# target to generate assembly for a file
str_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/str_list.c.s
.PHONY : str_list.c.s

string_util.o: string_util.c.o
.PHONY : string_util.o

# target to build an object file
string_util.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/string_util.c.o
.PHONY : string_util.c.o

string_util.i: string_util.c.i
.PHONY : string_util.i

# target to preprocess a source file
string_util.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/string_util.c.i
.PHONY : string_util.c.i

string_util.s: string_util.c.s
.PHONY : string_util.s

# target to generate assembly for a file
string_util.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/string_util.c.s
.PHONY : string_util.c.s

void_list.o: void_list.c.o
.PHONY : void_list.o

# target to build an object file
void_list.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/void_list.c.o
.PHONY : void_list.c.o

void_list.i: void_list.c.i
.PHONY : void_list.i

# target to preprocess a source file
void_list.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/void_list.c.i
.PHONY : void_list.c.i

void_list.s: void_list.c.s
.PHONY : void_list.s

# target to generate assembly for a file
void_list.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/void_list.c.s
.PHONY : void_list.c.s

xfuncs.o: xfuncs.c.o
.PHONY : xfuncs.o

# target to build an object file
xfuncs.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xfuncs.c.o
.PHONY : xfuncs.c.o

xfuncs.i: xfuncs.c.i
.PHONY : xfuncs.i

# target to preprocess a source file
xfuncs.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xfuncs.c.i
.PHONY : xfuncs.c.i

xfuncs.s: xfuncs.c.s
.PHONY : xfuncs.s

# target to generate assembly for a file
xfuncs.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xfuncs.c.s
.PHONY : xfuncs.c.s

xregex.o: xregex.c.o
.PHONY : xregex.o

# target to build an object file
xregex.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xregex.c.o
.PHONY : xregex.c.o

xregex.i: xregex.c.i
.PHONY : xregex.i

# target to preprocess a source file
xregex.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xregex.c.i
.PHONY : xregex.c.i

xregex.s: xregex.c.s
.PHONY : xregex.s

# target to generate assembly for a file
xregex.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xregex.c.s
.PHONY : xregex.c.s

xsystem.o: xsystem.c.o
.PHONY : xsystem.o

# target to build an object file
xsystem.c.o:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xsystem.c.o
.PHONY : xsystem.c.o

xsystem.i: xsystem.c.i
.PHONY : xsystem.i

# target to preprocess a source file
xsystem.c.i:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xsystem.c.i
.PHONY : xsystem.c.i

xsystem.s: xsystem.c.s
.PHONY : xsystem.s

# target to generate assembly for a file
xsystem.c.s:
	cd /usr/local/src/opkg/build && $(MAKE) $(MAKESILENT) -f libopkg/CMakeFiles/libopkg.dir/build.make libopkg/CMakeFiles/libopkg.dir/xsystem.c.s
.PHONY : xsystem.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... libopkg"
	@echo "... cksum_list.o"
	@echo "... cksum_list.i"
	@echo "... cksum_list.s"
	@echo "... conffile.o"
	@echo "... conffile.i"
	@echo "... conffile.s"
	@echo "... conffile_list.o"
	@echo "... conffile_list.i"
	@echo "... conffile_list.s"
	@echo "... file_list.o"
	@echo "... file_list.i"
	@echo "... file_list.s"
	@echo "... file_util.o"
	@echo "... file_util.i"
	@echo "... file_util.s"
	@echo "... hash_table.o"
	@echo "... hash_table.i"
	@echo "... hash_table.s"
	@echo "... md5.o"
	@echo "... md5.i"
	@echo "... md5.s"
	@echo "... nv_pair.o"
	@echo "... nv_pair.i"
	@echo "... nv_pair.s"
	@echo "... nv_pair_list.o"
	@echo "... nv_pair_list.i"
	@echo "... nv_pair_list.s"
	@echo "... opkg_archive.o"
	@echo "... opkg_archive.i"
	@echo "... opkg_archive.s"
	@echo "... opkg_cmd.o"
	@echo "... opkg_cmd.i"
	@echo "... opkg_cmd.s"
	@echo "... opkg_conf.o"
	@echo "... opkg_conf.i"
	@echo "... opkg_conf.s"
	@echo "... opkg_configure.o"
	@echo "... opkg_configure.i"
	@echo "... opkg_configure.s"
	@echo "... opkg_download.o"
	@echo "... opkg_download.i"
	@echo "... opkg_download.s"
	@echo "... opkg_download_curl.o"
	@echo "... opkg_download_curl.i"
	@echo "... opkg_download_curl.s"
	@echo "... opkg_gpg.o"
	@echo "... opkg_gpg.i"
	@echo "... opkg_gpg.s"
	@echo "... opkg_install.o"
	@echo "... opkg_install.i"
	@echo "... opkg_install.s"
	@echo "... opkg_message.o"
	@echo "... opkg_message.i"
	@echo "... opkg_message.s"
	@echo "... opkg_remove.o"
	@echo "... opkg_remove.i"
	@echo "... opkg_remove.s"
	@echo "... opkg_utils.o"
	@echo "... opkg_utils.i"
	@echo "... opkg_utils.s"
	@echo "... opkg_verify.o"
	@echo "... opkg_verify.i"
	@echo "... opkg_verify.s"
	@echo "... parse_util.o"
	@echo "... parse_util.i"
	@echo "... parse_util.s"
	@echo "... pkg.o"
	@echo "... pkg.i"
	@echo "... pkg.s"
	@echo "... pkg_depends.o"
	@echo "... pkg_depends.i"
	@echo "... pkg_depends.s"
	@echo "... pkg_dest.o"
	@echo "... pkg_dest.i"
	@echo "... pkg_dest.s"
	@echo "... pkg_dest_list.o"
	@echo "... pkg_dest_list.i"
	@echo "... pkg_dest_list.s"
	@echo "... pkg_extract.o"
	@echo "... pkg_extract.i"
	@echo "... pkg_extract.s"
	@echo "... pkg_hash.o"
	@echo "... pkg_hash.i"
	@echo "... pkg_hash.s"
	@echo "... pkg_parse.o"
	@echo "... pkg_parse.i"
	@echo "... pkg_parse.s"
	@echo "... pkg_src.o"
	@echo "... pkg_src.i"
	@echo "... pkg_src.s"
	@echo "... pkg_src_list.o"
	@echo "... pkg_src_list.i"
	@echo "... pkg_src_list.s"
	@echo "... pkg_vec.o"
	@echo "... pkg_vec.i"
	@echo "... pkg_vec.s"
	@echo "... release.o"
	@echo "... release.i"
	@echo "... release.s"
	@echo "... release_parse.o"
	@echo "... release_parse.i"
	@echo "... release_parse.s"
	@echo "... solvers/libsolv/opkg_solver_libsolv.o"
	@echo "... solvers/libsolv/opkg_solver_libsolv.i"
	@echo "... solvers/libsolv/opkg_solver_libsolv.s"
	@echo "... sprintf_alloc.o"
	@echo "... sprintf_alloc.i"
	@echo "... sprintf_alloc.s"
	@echo "... str_list.o"
	@echo "... str_list.i"
	@echo "... str_list.s"
	@echo "... string_util.o"
	@echo "... string_util.i"
	@echo "... string_util.s"
	@echo "... void_list.o"
	@echo "... void_list.i"
	@echo "... void_list.s"
	@echo "... xfuncs.o"
	@echo "... xfuncs.i"
	@echo "... xfuncs.s"
	@echo "... xregex.o"
	@echo "... xregex.i"
	@echo "... xregex.s"
	@echo "... xsystem.o"
	@echo "... xsystem.i"
	@echo "... xsystem.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /usr/local/src/opkg/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

